ChiliProject - Task # 162: Add custom queries

Status: Closed Priority: Normal

Author: Enderson Maia Category: chiliproject.org Website
Created: 2011-02-08 Assignee: Felix Schéfer
Updated: 2011-02-22 Due date:

Remote issue URL:
Description: Add public custom queries to help contributors find better issues to help.

Suggestions:

* Open bugs

* Open features

* Unassigned issues

* Feature patches

* Translations Patches

*

History

2011-02-09 04:28 pm - Felix Schafer
> * Open bugs

> * Open features

> * Unassigned issues

OK with me.

> * Feature patches
> * Translations Patches

That's something involved should do for himself.

What do the others think?

2011-02-09 05:09 pm - lvan Cenov

May be templates for issues are the solution... These templates may be stored in their own table, be private, per user group, per project, per project
hierarchy, global public.

Possible operations:

# Create template from selected issue

# Edit & delete template

# Copy template to another template

# Create issue from template

Templates may use defined variables. Then when one creates an issue, a dialog may appear where he/she may enter values of these variables.
lvan

2011-02-09 08:06 pm - Eric Davis

Felix SchArfer wrote:

> > * Feature patches

Since we are using git more than uploaded patches (and there isn't an "attachment" column in the Query) we could do this:
# Add a custom field for "branch location". This would point to a git url(s) where the code is stored at and should be updated when someone writes code
for an issue.

# Use a custom query to look for non-empty "branch location" AND Tracker=Feature

> > * Translations Patches

Just the Translation category maybe?

2011-02-14 08:43 am - Felix Schéfer
My question was more something like "do we really need global queries for feature patches/translation patches"? | feel those 2 should rather be queries
the people that need them can do for themselves. So again: do we really need those 2?

Eric Davis wrote:

> Felix SchAxfer wrote:

> > > * Feature patches

>

> Since we are using git more than uploaded patches (and there isn't an "attachment" column in the Query) we could do this:

>

> # Add a custom field for "branch location". This would point to a git url(s) where the code is stored at and should be updated when someone writes
code for an issue.

What about diffs attached or pasted in? | wouldn't want to lose contributors just because they don't have some internet-reachable repo or whatever.

> # Use a custom query to look for non-empty "branch location" AND Tracker=Feature

We already have the "Ready for review" status, to which issues with patches attached/linked to should be set to, so that would make the search

"status="ready for review' and tracker='feature".

2011-02-22 05:39 pm - Felix Schéfer

- Assignee set to Felix Schéfer

- Status changed from Open to Closed

I've created the following three:
* Open Bugs
* Open Feature Requests

* Unassigned Issues

Re-open here if you think the other proposed ones are indispensable.
